/*==============================================================================

FICHIER     : [vaporize.h]

DATE        : 2006/01/0024 22:02:43

CREATEUR    : [Linux!jef]

COMMENTAIRE :

================================================================================

==============================================================================*/

#ifndef __VAPORIZE_H__
#define __VAPORIZE_H__
/*@$#[vaporize.c] global proto. AutoProtoSigV1.1. date: 106/02/01 23:17:36 */
#include "proto.h"
#ifdef __cplusplus
extern "C" {
#endif
int VaporizeInit PROTO((int (*readFun)(), int (*writeFun)(), int preserveF ));
int VaporizeAudio PROTO((int audioTrack));
int VaporizeSubp PROTO((int subpTrack));
int VaporizeFactor PROTO((double factor, int dynF ));
int VaporizeInjection PROTO((char *fileName));
int Vaporize PROTO((long long size, void *parm));
int VaporizeTerm PROTO((void));
void VaporizeSizes( int * pVideoPacketSize, int * pAudioPacketSize, int * pSubPacketSize, int * pNavPacketSize );
void VaporizePacks PROTO(( int * videoPacks, int * auxPacks ));
#ifdef __cplusplus
}
#endif
/*@$% end of AutoProtoSigV1.1 (Dont remove this line) [-I ../include]*/
#endif	/* __VAPORIZE_H__ */

